Package com.smartgwt.client.types

# Enum MultiComboBoxLayoutStyle

java.lang.Object
java.lang.Enum<MultiComboBoxLayoutStyle>
com.smartgwt.client.types.MultiComboBoxLayoutStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MultiComboBoxLayoutStyle>`, `Constable`

public enum MultiComboBoxLayoutStyle extends Enum<MultiComboBoxLayoutStyle> implements ValueEnum
Specifies the layout of the combo box and buttons in a MultiComboBoxItem.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FLOW`
  use a `FlowLayout`, showing values first, then the text entry area
  `FLOWREVERSE`
  use a FlowLayout, with the text entry first and values shown afterwards
  `HORIZONTAL`
  Use a horizontal layout with the combo box on the right
  `HORIZONTALREVERSE`
  Use a horizontal layout with the combo box on the left
  `VERTICAL`
  Use a vertical layout
  `VERTICALREVERSE`
  Use a vertical layout with the combo box at the bottom

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MultiComboBoxLayoutStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultiComboBoxLayoutStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLOW

    public static final MultiComboBoxLayoutStyle FLOW
    use a `FlowLayout`, showing values first, then the text entry area

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "flow".

  - ### FLOWREVERSE

    public static final MultiComboBoxLayoutStyle FLOWREVERSE
    use a FlowLayout, with the text entry first and values shown afterwards

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "flowReverse".

  - ### HORIZONTAL

    public static final MultiComboBoxLayoutStyle HORIZONTAL
    Use a horizontal layout with the combo box on the right

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

  - ### HORIZONTALREVERSE

    public static final MultiComboBoxLayoutStyle HORIZONTALREVERSE
    Use a horizontal layout with the combo box on the left

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontalReverse".

  - ### VERTICAL

    public static final MultiComboBoxLayoutStyle VERTICAL
    Use a vertical layout

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

  - ### VERTICALREVERSE

    public static final MultiComboBoxLayoutStyle VERTICALREVERSE
    Use a vertical layout with the combo box at the bottom

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "verticalReverse".

- ## Method Details

  - ### values

    public static MultiComboBoxLayoutStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultiComboBoxLayoutStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`